using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ПроверкаПродукции
{
    internal class DebugAndTrace
    {
        public static int k = 0;
        public static void test(int[] brak, int kolBrak, int ALL)
        {
            Trace.Listeners.Add(new TextWriterTraceListener("Debug.txt"));
            k++;
            Debug.WriteLine("Задание " + k);
            Debug.WriteLine("Индексы бракованных деталей");
            for (int i = 0; i < brak.Length; i++)
            {
                Debug.WriteLine("Товар " + (brak[i] +1) + " бракован");
            }
            Debug.WriteLine("Количество бракованных деталей " + kolBrak);
            Debug.WriteLine("Общее количество  деталей " + ALL);
            Debug.WriteLine("");
            Trace.Flush();
        }
    }
}
